My Project: dgBooleanMeshClipper::dgClusterFace Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgBooleanMeshClipper::dgClusterFace Class Reference
Inheritance diagram for dgBooleanMeshClipper::dgClusterFace:

## Public Member Functions

| dgClusterFace (dgMeshEffect *const mesh, dgEdge *const face)
bool | AddFace (const dgMeshEffect *const mesh, dgMeshBVHNode *const faceNode, const dgMeshEffect *const myMesh, dgMeshBVHNode *const myFaceNode)
dgEdge * | FindFirstClipperEdge (const dgHugeVector &normal, const dgHugeVector &origin, const dgBooleanMeshClipper *const clipperMeshBVH, dgInt32 clipperMark) const
dgEdge * | EmitPointOnPlaneAndGetNextCrossingEdge (const dgHugeVector &normal, const dgHugeVector &origin, const dgBooleanMeshClipper *const clipperMeshBVH, dgEdge *const clipperEdge, dgInt32 clipperMark, dgList< dgHugeVector > &curve) const
bool | Get2DCurve (const dgHugeVector &normal, const dgHugeVector &origin, const dgBooleanMeshClipper *const clipperMeshBVH, dgEdge *const clipperEdge, dgInt32 clipperMark, dgList< dgHugeVector > &curve) const
bool | TestPlanar (const dgHugeVector &normal, const dgList< dgHugeVector > &curve) const
void | RayRayIntersect (const dgHugeVector &ray_p0, const dgHugeVector &ray_p1, dgGoogol &paramP, const dgHugeVector &ray_q0, const dgHugeVector &ray_q1, dgGoogol &paramQ) const
void | InsertOpenCurve (dgBooleanMeshClipper *const meshBVH, dgList< dgEdge *> &facePerimeter, const dgHugeVector &normal, const dgHugeVector &origin, dgList< dgHugeVector > &curve) const
void | InsertClosedCurve (dgBooleanMeshClipper *const meshBVH, dgList< dgEdge *> &facePerimeter, const dgHugeVector &normal, const dgHugeVector &origin, const dgList< dgHugeVector > &clipperCurve) const
bool | ClipFace (dgMeshBVHNode *const faceNode, dgBooleanMeshClipper *const meshBVH, const dgBooleanMeshClipper *const clipperMeshBVH)
Public Member Functions inherited from dgList< dgMeshBVHNode *>
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgMeshBVHNode * &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgMeshBVHNode * &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgMeshBVHNode * &element) const
dgListNode * | GetNodeFromInfo (dgMeshBVHNode * &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgMeshBVHNode * &element)
void | RemoveAll ()
void | Merge (dgList< dgMeshBVHNode * > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Public Attributes

dgBigPlane | m_plane

## Constructor & Destructor Documentation

## § dgClusterFace()

dgBooleanMeshClipper::dgClusterFace::dgClusterFace | ( | dgMeshEffect *const | mesh,
|  | dgEdge *const | face
| ) |  |

inline

## Member Function Documentation

## § AddFace()

bool dgBooleanMeshClipper::dgClusterFace::AddFace | ( | const dgMeshEffect *const | mesh,
|  | dgMeshBVHNode *const | faceNode,
|  | const dgMeshEffect *const | myMesh,
|  | dgMeshBVHNode *const | myFaceNode
| ) |  |

inline

## § ClipFace()

bool dgBooleanMeshClipper::dgClusterFace::ClipFace | ( | dgMeshBVHNode *const | faceNode,
|  | dgBooleanMeshClipper *const | meshBVH,
|  | const dgBooleanMeshClipper *const | clipperMeshBVH
| ) |  |

inline

## § EmitPointOnPlaneAndGetNextCrossingEdge()

dgEdge* dgBooleanMeshClipper::dgClusterFace::EmitPointOnPlaneAndGetNextCrossingEdge | ( | const dgHugeVector & | normal,
|  | const dgHugeVector & | origin,
|  | const dgBooleanMeshClipper *const | clipperMeshBVH,
|  | dgEdge *const | clipperEdge,
|  | dgInt32 | clipperMark,
|  | dgList< dgHugeVector > & | curve
| ) |  | const

inline

## § FindFirstClipperEdge()

dgEdge* dgBooleanMeshClipper::dgClusterFace::FindFirstClipperEdge | ( | const dgHugeVector & | normal,
|  | const dgHugeVector & | origin,
|  | const dgBooleanMeshClipper *const | clipperMeshBVH,
|  | dgInt32 | clipperMark
| ) |  | const

inline

## § Get2DCurve()

bool dgBooleanMeshClipper::dgClusterFace::Get2DCurve | ( | const dgHugeVector & | normal,
|  | const dgHugeVector & | origin,
|  | const dgBooleanMeshClipper *const | clipperMeshBVH,
|  | dgEdge *const | clipperEdge,
|  | dgInt32 | clipperMark,
|  | dgList< dgHugeVector > & | curve
| ) |  | const

inline

## § InsertClosedCurve()

void dgBooleanMeshClipper::dgClusterFace::InsertClosedCurve | ( | dgBooleanMeshClipper *const | meshBVH,
|  | dgList< dgEdge *> & | facePerimeter,
|  | const dgHugeVector & | normal,
|  | const dgHugeVector & | origin,
|  | const dgList< dgHugeVector > & | clipperCurve
| ) |  | const

inline

## § InsertOpenCurve()

void dgBooleanMeshClipper::dgClusterFace::InsertOpenCurve | ( | dgBooleanMeshClipper *const | meshBVH,
|  | dgList< dgEdge *> & | facePerimeter,
|  | const dgHugeVector & | normal,
|  | const dgHugeVector & | origin,
|  | dgList< dgHugeVector > & | curve
| ) |  | const

inline

## § RayRayIntersect()

void dgBooleanMeshClipper::dgClusterFace::RayRayIntersect | ( | const dgHugeVector & | ray_p0,
|  | const dgHugeVector & | ray_p1,
|  | dgGoogol & | paramP,
|  | const dgHugeVector & | ray_q0,
|  | const dgHugeVector & | ray_q1,
|  | dgGoogol & | paramQ
| ) |  | const

inline

## § TestPlanar()

bool dgBooleanMeshClipper::dgClusterFace::TestPlanar | ( | const dgHugeVector & | normal,
|  | const dgList< dgHugeVector > & | curve
| ) |  | const

inline

## Member Data Documentation

## § m_plane

dgBigPlane dgBooleanMeshClipper::dgClusterFace::m_plane

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/meshUtil/dgMeshEffect5.cpp